<?xml version="1.0" encoding="utf-8"?>
<!-- XBRL Document Created with WizLabo Platform -->
<link:linkbase xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:link="http://www.xbrl.org/2003/linkbase">
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_AdvertisingAndPromotionCostsSGA_label_1" xlink:role="http://www.xbrl.org/2003/role/label">Advertising and promotion costs</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_AdvertisingAndPromotionCostsSGA_label_2" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Advertising and promotion costs-SGA</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_AdvertisingAndPromotionCostsSGA_label" xlink:role="http://www.xbrl.org/2003/role/documentation">Advertising and promotion costs-SGA</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_AoiHiroshiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Aoi, Hiroshi</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_AoiHiroshiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Aoi, Hiroshi [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_BusinessConsignmentExpensesCOSExpOA_label_1" xlink:role="http://www.xbrl.org/2003/role/label">Business consignment expenses</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_BusinessConsignmentExpensesCOSExpOA_label_2" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Business consignment expenses-COSExpOA</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_BusinessConsignmentExpensesCOSExpOA_label" xlink:role="http://www.xbrl.org/2003/role/documentation">Business consignment expenses-COSExpOA</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_DividendsFromSurplusInterimDividend_label" xlink:role="http://www.xbrl.org/2003/role/label">Dividends from surplus (interim dividend)</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_DividendsFromSurplusInterimDividend_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Dividends from surplus (interim dividend)</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_FinTechReportableSegmentMember_label" xlink:role="http://www.xbrl.org/2003/role/label">FinTech</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_FinTechReportableSegmentMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">FinTech, Reportable segment [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_GainOnLiquidationOfDepositsReceivedNOI_label" xlink:role="http://www.xbrl.org/2003/role/label">Gain on liquidation of deposits received</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_GainOnLiquidationOfDepositsReceivedNOI_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Gain on liquidation of deposits received-NOI</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_GovernanceClimateChangeTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Governance, Climate change</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_GovernanceClimateChangeTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Governance, Climate change [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_GovernanceHumanCapitalTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Governance,Human capital</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_GovernanceHumanCapitalTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Governance,Human capital [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_IncreaseDecreaseInTradePayablesOpeCF_label_1" xlink:role="http://www.xbrl.org/2003/role/label">increase (decrease) in trade payables</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_IncreaseDecreaseInTradePayablesOpeCF_label_2" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">increase (decrease) in trade payables-OpeCF</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_IncreaseDecreaseInTradePayablesOpeCF_label" xlink:role="http://www.xbrl.org/2003/role/documentation">increase (decrease) in trade payables-OpeCF</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_IntersegmentRevenueAndTransfers_label" xlink:role="http://www.xbrl.org/2003/role/label">intersegment revenue and transfers</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_IntersegmentRevenueAndTransfers_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">intersegment revenue and transfers</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_KatoHirotsuguMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Kato, Hirotsugu</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_KatoHirotsuguMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Kato, Hirotsugu [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_KawaiHitoshiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Kawai, Hitoshi</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_KawaiHitoshiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Kawai, Hitoshi [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_KojimaReikoMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Kojima, Reiko</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_KojimaReikoMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Kojima, Reiko [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_MatsumotoHiroakiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Matsumoto,Hiroaki</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_MatsumotoHiroakiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Matsumoto,Hiroaki [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_MetricsAndTargetsClimateChangeTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Metrics and targets, Climate change</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_MetricsAndTargetsClimateChangeTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Metrics and targets, Climate change [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_MetricsAndTargetsHumanCapitalTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Metrics and targets, Human capital</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_MetricsAndTargetsHumanCapitalTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Metrics and targets, Human capital [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_MonetaryClaimsAndObligationsToSubsidiariesAndAssociatesTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Monetary claims and obligations to subsidiaries and associates</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_MonetaryClaimsAndObligationsToSubsidiariesAndAssociatesTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Monetary claims and obligations to subsidiaries and associates[text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_NakagamiYasunoriMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Nakagami, Yasunori</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_NakagamiYasunoriMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Nakagami, Yasunori [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_NotesRegardingLiquidationOfAccountsReceivableTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Notes regarding liquidation of accounts receivable</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_NotesRegardingLiquidationOfAccountsReceivableTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Notes regarding liquidation of accounts receivable [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_OkajimaEtsukoMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Okajima, Etsuko</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_OkajimaEtsukoMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Okajima, Etsuko [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_PerformanceLinkedBonusRemunerationEtcByCategoryOfDirectorsAndOtherOfficers_label" xlink:role="http://www.xbrl.org/2003/role/label">Performance-linked bonus</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_PerformanceLinkedBonusRemunerationEtcByCategoryOfDirectorsAndOtherOfficers_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Performance-linked bonus, Remuneration, etc. by category of directors (and other officers)</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_PeterDPedersenMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Peter D. Pedersen</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_PeterDPedersenMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Peter D. Pedersen [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_ReserveForLossFromRedemptionOfGiftCertificatesCL_label_1" xlink:role="http://www.xbrl.org/2003/role/label">Reserve for loss from redemption of gift certificates</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_ReserveForLossFromRedemptionOfGiftCertificatesCL_label_2" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Reserve for loss from redemption of gift certificates-CL</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_ReserveForLossFromRedemptionOfGiftCertificatesCL_label" xlink:role="http://www.xbrl.org/2003/role/documentation">Reserve for loss from redemption of gift certificates-CL</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_ReserveForTaxPurposeReductionToPromoteOpenInnovationMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Reserve for tax purpose reduction to promote open innovation</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_ReserveForTaxPurposeReductionToPromoteOpenInnovationMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Reserve for tax purpose reduction to promote open innovation [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_ReserveForTaxPurposeReductionToPromoteOpenInnovationORE_label" xlink:role="http://www.xbrl.org/2003/role/label">Reserve for tax purpose reduction to promote open innovation</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_ReserveForTaxPurposeReductionToPromoteOpenInnovationORE_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Reserve for tax purpose reduction to promote open innovation-ORE</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_RetailReportableSegmentMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Retail</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_RetailReportableSegmentMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Retail, Reportable segment [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_RevenueFromExternalCustomers_label" xlink:role="http://www.xbrl.org/2003/role/label">Revenue from external customers</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_RevenueFromExternalCustomers_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Revenue from external customers</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_RiskManagementClimateChangeTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Risk management,Climate change</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_RiskManagementClimateChangeTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Risk management,Climate change [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_RiskManagementHumanCapitalTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Risk management,Human capital</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_RiskManagementHumanCapitalTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Risk management,Human capital [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_SasakiHazimeMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Sasaki.Hazime</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_SasakiHazimeMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Sasaki.Hazime [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_StrategyClimateChangeTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Strategy,Climate change</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_StrategyClimateChangeTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Strategy,Climate change [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_StrategyHumanCapitalTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">Strategy, Human capital</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_StrategyHumanCapitalTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Strategy, Human capital [text block]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_SuzukiYokoMember_label" xlink:role="http://www.xbrl.org/2003/role/label">Suzuki, Yoko</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_SuzukiYokoMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Suzuki, Yoko [member]</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_TransferFromRetainedEarningsToReserveForTaxPurposeReductionToPromoteOpenInnovation_label" xlink:role="http://www.xbrl.org/2003/role/label">Transfer from retained earnings to Reserve for tax purpose reduction to promote open innovation</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_TransferFromRetainedEarningsToReserveForTaxPurposeReductionToPromoteOpenInnovation_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Transfer from retained earnings to Reserve for tax purpose reduction to promote open innovation</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_WriteDownsOfInventoriesCostOfSales_label" xlink:role="http://www.xbrl.org/2003/role/label">Write-downs of inventories</link:label>
    <link:label xml:lang="en" xlink:type="resource" xlink:label="jpcrp030000-asr_E03040-000_WriteDownsOfInventoriesCostOfSales_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">Write-downs of inventories-cost of sales</link:label>
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03040-000_2024-03-31_01_2024-06-24.xsd#jpcrp030000-asr_E03040-000_AdvertisingAndPromotionCostsSGA" xlink:label="jpcrp030000-asr_E03040-000_AdvertisingAndPromotionCostsSGA" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03040-000_2024-03-31_01_2024-06-24.xsd#jpcrp030000-asr_E03040-000_AoiHiroshiMember" xlink:label="jpcrp030000-asr_E03040-000_AoiHiroshiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03040-000_2024-03-31_01_2024-06-24.xsd#jpcrp030000-asr_E03040-000_BusinessConsignmentExpensesCOSExpOA" xlink:label="jpcrp030000-asr_E03040-000_BusinessConsignmentExpensesCOSExpOA" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03040-000_2024-03-31_01_2024-06-24.xsd#jpcrp030000-asr_E03040-000_DividendsFromSurplusInterimDividend" xlink:label="jpcrp030000-asr_E03040-000_DividendsFromSurplusInterimDividend" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03040-000_2024-03-31_01_2024-06-24.xsd#jpcrp030000-asr_E03040-000_FinTechReportableSegmentMember" xlink:label="jpcrp030000-asr_E03040-000_FinTechReportableSegmentMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03040-000_2024-03-31_01_2024-06-24.xsd#jpcrp030000-asr_E03040-000_GainOnLiquidationOfDepositsReceivedNOI" xlink:label="jpcrp030000-asr_E03040-000_GainOnLiquidationOfDepositsReceivedNOI" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03040-000_2024-03-31_01_2024-06-24.xsd#jpcrp030000-asr_E03040-000_GovernanceClimateChangeTextBlock" xlink:label="jpcrp030000-asr_E03040-000_GovernanceClimateChangeTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03040-000_2024-03-31_01_2024-06-24.xsd#jpcrp030000-asr_E03040-000_GovernanceHumanCapitalTextBlock" xlink:label="jpcrp030000-asr_E03040-000_GovernanceHumanCapitalTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03040-000_2024-03-31_01_2024-06-24.xsd#jpcrp030000-asr_E03040-000_IncreaseDecreaseInTradePayablesOpeCF" xlink:label="jpcrp030000-asr_E03040-000_IncreaseDecreaseInTradePayablesOpeCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03040-000_2024-03-31_01_2024-06-24.xsd#jpcrp030000-asr_E03040-000_IntersegmentRevenueAndTransfers" xlink:label="jpcrp030000-asr_E03040-000_IntersegmentRevenueAndTransfers" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03040-000_2024-03-31_01_2024-06-24.xsd#jpcrp030000-asr_E03040-000_KatoHirotsuguMember" xlink:label="jpcrp030000-asr_E03040-000_KatoHirotsuguMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03040-000_2024-03-31_01_2024-06-24.xsd#jpcrp030000-asr_E03040-000_KawaiHitoshiMember" xlink:label="jpcrp030000-asr_E03040-000_KawaiHitoshiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03040-000_2024-03-31_01_2024-06-24.xsd#jpcrp030000-asr_E03040-000_KojimaReikoMember" xlink:label="jpcrp030000-asr_E03040-000_KojimaReikoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03040-000_2024-03-31_01_2024-06-24.xsd#jpcrp030000-asr_E03040-000_MatsumotoHiroakiMember" xlink:label="jpcrp030000-asr_E03040-000_MatsumotoHiroakiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03040-000_2024-03-31_01_2024-06-24.xsd#jpcrp030000-asr_E03040-000_MetricsAndTargetsClimateChangeTextBlock" xlink:label="jpcrp030000-asr_E03040-000_MetricsAndTargetsClimateChangeTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03040-000_2024-03-31_01_2024-06-24.xsd#jpcrp030000-asr_E03040-000_MetricsAndTargetsHumanCapitalTextBlock" xlink:label="jpcrp030000-asr_E03040-000_MetricsAndTargetsHumanCapitalTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03040-000_2024-03-31_01_2024-06-24.xsd#jpcrp030000-asr_E03040-000_MonetaryClaimsAndObligationsToSubsidiariesAndAssociatesTextBlock" xlink:label="jpcrp030000-asr_E03040-000_MonetaryClaimsAndObligationsToSubsidiariesAndAssociatesTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03040-000_2024-03-31_01_2024-06-24.xsd#jpcrp030000-asr_E03040-000_NakagamiYasunoriMember" xlink:label="jpcrp030000-asr_E03040-000_NakagamiYasunoriMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03040-000_2024-03-31_01_2024-06-24.xsd#jpcrp030000-asr_E03040-000_NotesRegardingLiquidationOfAccountsReceivableTextBlock" xlink:label="jpcrp030000-asr_E03040-000_NotesRegardingLiquidationOfAccountsReceivableTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03040-000_2024-03-31_01_2024-06-24.xsd#jpcrp030000-asr_E03040-000_OkajimaEtsukoMember" xlink:label="jpcrp030000-asr_E03040-000_OkajimaEtsukoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03040-000_2024-03-31_01_2024-06-24.xsd#jpcrp030000-asr_E03040-000_PerformanceLinkedBonusRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" xlink:label="jpcrp030000-asr_E03040-000_PerformanceLinkedBonusRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03040-000_2024-03-31_01_2024-06-24.xsd#jpcrp030000-asr_E03040-000_PeterDPedersenMember" xlink:label="jpcrp030000-asr_E03040-000_PeterDPedersenMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03040-000_2024-03-31_01_2024-06-24.xsd#jpcrp030000-asr_E03040-000_ReserveForLossFromRedemptionOfGiftCertificatesCL" xlink:label="jpcrp030000-asr_E03040-000_ReserveForLossFromRedemptionOfGiftCertificatesCL" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03040-000_2024-03-31_01_2024-06-24.xsd#jpcrp030000-asr_E03040-000_ReserveForTaxPurposeReductionToPromoteOpenInnovationMember" xlink:label="jpcrp030000-asr_E03040-000_ReserveForTaxPurposeReductionToPromoteOpenInnovationMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03040-000_2024-03-31_01_2024-06-24.xsd#jpcrp030000-asr_E03040-000_ReserveForTaxPurposeReductionToPromoteOpenInnovationORE" xlink:label="jpcrp030000-asr_E03040-000_ReserveForTaxPurposeReductionToPromoteOpenInnovationORE" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03040-000_2024-03-31_01_2024-06-24.xsd#jpcrp030000-asr_E03040-000_RetailReportableSegmentMember" xlink:label="jpcrp030000-asr_E03040-000_RetailReportableSegmentMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03040-000_2024-03-31_01_2024-06-24.xsd#jpcrp030000-asr_E03040-000_RevenueFromExternalCustomers" xlink:label="jpcrp030000-asr_E03040-000_RevenueFromExternalCustomers" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03040-000_2024-03-31_01_2024-06-24.xsd#jpcrp030000-asr_E03040-000_RiskManagementClimateChangeTextBlock" xlink:label="jpcrp030000-asr_E03040-000_RiskManagementClimateChangeTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03040-000_2024-03-31_01_2024-06-24.xsd#jpcrp030000-asr_E03040-000_RiskManagementHumanCapitalTextBlock" xlink:label="jpcrp030000-asr_E03040-000_RiskManagementHumanCapitalTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03040-000_2024-03-31_01_2024-06-24.xsd#jpcrp030000-asr_E03040-000_SasakiHazimeMember" xlink:label="jpcrp030000-asr_E03040-000_SasakiHazimeMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03040-000_2024-03-31_01_2024-06-24.xsd#jpcrp030000-asr_E03040-000_StrategyClimateChangeTextBlock" xlink:label="jpcrp030000-asr_E03040-000_StrategyClimateChangeTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03040-000_2024-03-31_01_2024-06-24.xsd#jpcrp030000-asr_E03040-000_StrategyHumanCapitalTextBlock" xlink:label="jpcrp030000-asr_E03040-000_StrategyHumanCapitalTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03040-000_2024-03-31_01_2024-06-24.xsd#jpcrp030000-asr_E03040-000_SuzukiYokoMember" xlink:label="jpcrp030000-asr_E03040-000_SuzukiYokoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03040-000_2024-03-31_01_2024-06-24.xsd#jpcrp030000-asr_E03040-000_TransferFromRetainedEarningsToReserveForTaxPurposeReductionToPromoteOpenInnovation" xlink:label="jpcrp030000-asr_E03040-000_TransferFromRetainedEarningsToReserveForTaxPurposeReductionToPromoteOpenInnovation" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03040-000_2024-03-31_01_2024-06-24.xsd#jpcrp030000-asr_E03040-000_WriteDownsOfInventoriesCostOfSales" xlink:label="jpcrp030000-asr_E03040-000_WriteDownsOfInventoriesCostOfSales" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_AdvertisingAndPromotionCostsSGA" xlink:to="jpcrp030000-asr_E03040-000_AdvertisingAndPromotionCostsSGA_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_AdvertisingAndPromotionCostsSGA" xlink:to="jpcrp030000-asr_E03040-000_AdvertisingAndPromotionCostsSGA_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_AdvertisingAndPromotionCostsSGA" xlink:to="jpcrp030000-asr_E03040-000_AdvertisingAndPromotionCostsSGA_label_2" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_AoiHiroshiMember" xlink:to="jpcrp030000-asr_E03040-000_AoiHiroshiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_AoiHiroshiMember" xlink:to="jpcrp030000-asr_E03040-000_AoiHiroshiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_BusinessConsignmentExpensesCOSExpOA" xlink:to="jpcrp030000-asr_E03040-000_BusinessConsignmentExpensesCOSExpOA_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_BusinessConsignmentExpensesCOSExpOA" xlink:to="jpcrp030000-asr_E03040-000_BusinessConsignmentExpensesCOSExpOA_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_BusinessConsignmentExpensesCOSExpOA" xlink:to="jpcrp030000-asr_E03040-000_BusinessConsignmentExpensesCOSExpOA_label_2" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_DividendsFromSurplusInterimDividend" xlink:to="jpcrp030000-asr_E03040-000_DividendsFromSurplusInterimDividend_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_DividendsFromSurplusInterimDividend" xlink:to="jpcrp030000-asr_E03040-000_DividendsFromSurplusInterimDividend_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_FinTechReportableSegmentMember" xlink:to="jpcrp030000-asr_E03040-000_FinTechReportableSegmentMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_FinTechReportableSegmentMember" xlink:to="jpcrp030000-asr_E03040-000_FinTechReportableSegmentMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_GainOnLiquidationOfDepositsReceivedNOI" xlink:to="jpcrp030000-asr_E03040-000_GainOnLiquidationOfDepositsReceivedNOI_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_GainOnLiquidationOfDepositsReceivedNOI" xlink:to="jpcrp030000-asr_E03040-000_GainOnLiquidationOfDepositsReceivedNOI_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_GovernanceClimateChangeTextBlock" xlink:to="jpcrp030000-asr_E03040-000_GovernanceClimateChangeTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_GovernanceClimateChangeTextBlock" xlink:to="jpcrp030000-asr_E03040-000_GovernanceClimateChangeTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_GovernanceHumanCapitalTextBlock" xlink:to="jpcrp030000-asr_E03040-000_GovernanceHumanCapitalTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_GovernanceHumanCapitalTextBlock" xlink:to="jpcrp030000-asr_E03040-000_GovernanceHumanCapitalTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_IncreaseDecreaseInTradePayablesOpeCF" xlink:to="jpcrp030000-asr_E03040-000_IncreaseDecreaseInTradePayablesOpeCF_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_IncreaseDecreaseInTradePayablesOpeCF" xlink:to="jpcrp030000-asr_E03040-000_IncreaseDecreaseInTradePayablesOpeCF_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_IncreaseDecreaseInTradePayablesOpeCF" xlink:to="jpcrp030000-asr_E03040-000_IncreaseDecreaseInTradePayablesOpeCF_label_2" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_IntersegmentRevenueAndTransfers" xlink:to="jpcrp030000-asr_E03040-000_IntersegmentRevenueAndTransfers_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_IntersegmentRevenueAndTransfers" xlink:to="jpcrp030000-asr_E03040-000_IntersegmentRevenueAndTransfers_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_KatoHirotsuguMember" xlink:to="jpcrp030000-asr_E03040-000_KatoHirotsuguMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_KatoHirotsuguMember" xlink:to="jpcrp030000-asr_E03040-000_KatoHirotsuguMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_KawaiHitoshiMember" xlink:to="jpcrp030000-asr_E03040-000_KawaiHitoshiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_KawaiHitoshiMember" xlink:to="jpcrp030000-asr_E03040-000_KawaiHitoshiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_KojimaReikoMember" xlink:to="jpcrp030000-asr_E03040-000_KojimaReikoMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_KojimaReikoMember" xlink:to="jpcrp030000-asr_E03040-000_KojimaReikoMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_MatsumotoHiroakiMember" xlink:to="jpcrp030000-asr_E03040-000_MatsumotoHiroakiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_MatsumotoHiroakiMember" xlink:to="jpcrp030000-asr_E03040-000_MatsumotoHiroakiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_MetricsAndTargetsClimateChangeTextBlock" xlink:to="jpcrp030000-asr_E03040-000_MetricsAndTargetsClimateChangeTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_MetricsAndTargetsClimateChangeTextBlock" xlink:to="jpcrp030000-asr_E03040-000_MetricsAndTargetsClimateChangeTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_MetricsAndTargetsHumanCapitalTextBlock" xlink:to="jpcrp030000-asr_E03040-000_MetricsAndTargetsHumanCapitalTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_MetricsAndTargetsHumanCapitalTextBlock" xlink:to="jpcrp030000-asr_E03040-000_MetricsAndTargetsHumanCapitalTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_MonetaryClaimsAndObligationsToSubsidiariesAndAssociatesTextBlock" xlink:to="jpcrp030000-asr_E03040-000_MonetaryClaimsAndObligationsToSubsidiariesAndAssociatesTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_MonetaryClaimsAndObligationsToSubsidiariesAndAssociatesTextBlock" xlink:to="jpcrp030000-asr_E03040-000_MonetaryClaimsAndObligationsToSubsidiariesAndAssociatesTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_NakagamiYasunoriMember" xlink:to="jpcrp030000-asr_E03040-000_NakagamiYasunoriMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_NakagamiYasunoriMember" xlink:to="jpcrp030000-asr_E03040-000_NakagamiYasunoriMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_NotesRegardingLiquidationOfAccountsReceivableTextBlock" xlink:to="jpcrp030000-asr_E03040-000_NotesRegardingLiquidationOfAccountsReceivableTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_NotesRegardingLiquidationOfAccountsReceivableTextBlock" xlink:to="jpcrp030000-asr_E03040-000_NotesRegardingLiquidationOfAccountsReceivableTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_OkajimaEtsukoMember" xlink:to="jpcrp030000-asr_E03040-000_OkajimaEtsukoMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_OkajimaEtsukoMember" xlink:to="jpcrp030000-asr_E03040-000_OkajimaEtsukoMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_PerformanceLinkedBonusRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" xlink:to="jpcrp030000-asr_E03040-000_PerformanceLinkedBonusRemunerationEtcByCategoryOfDirectorsAndOtherOfficers_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_PerformanceLinkedBonusRemunerationEtcByCategoryOfDirectorsAndOtherOfficers" xlink:to="jpcrp030000-asr_E03040-000_PerformanceLinkedBonusRemunerationEtcByCategoryOfDirectorsAndOtherOfficers_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_PeterDPedersenMember" xlink:to="jpcrp030000-asr_E03040-000_PeterDPedersenMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_PeterDPedersenMember" xlink:to="jpcrp030000-asr_E03040-000_PeterDPedersenMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_ReserveForLossFromRedemptionOfGiftCertificatesCL" xlink:to="jpcrp030000-asr_E03040-000_ReserveForLossFromRedemptionOfGiftCertificatesCL_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_ReserveForLossFromRedemptionOfGiftCertificatesCL" xlink:to="jpcrp030000-asr_E03040-000_ReserveForLossFromRedemptionOfGiftCertificatesCL_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_ReserveForLossFromRedemptionOfGiftCertificatesCL" xlink:to="jpcrp030000-asr_E03040-000_ReserveForLossFromRedemptionOfGiftCertificatesCL_label_2" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_ReserveForTaxPurposeReductionToPromoteOpenInnovationMember" xlink:to="jpcrp030000-asr_E03040-000_ReserveForTaxPurposeReductionToPromoteOpenInnovationMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_ReserveForTaxPurposeReductionToPromoteOpenInnovationMember" xlink:to="jpcrp030000-asr_E03040-000_ReserveForTaxPurposeReductionToPromoteOpenInnovationMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_ReserveForTaxPurposeReductionToPromoteOpenInnovationORE" xlink:to="jpcrp030000-asr_E03040-000_ReserveForTaxPurposeReductionToPromoteOpenInnovationORE_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_ReserveForTaxPurposeReductionToPromoteOpenInnovationORE" xlink:to="jpcrp030000-asr_E03040-000_ReserveForTaxPurposeReductionToPromoteOpenInnovationORE_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_RetailReportableSegmentMember" xlink:to="jpcrp030000-asr_E03040-000_RetailReportableSegmentMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_RetailReportableSegmentMember" xlink:to="jpcrp030000-asr_E03040-000_RetailReportableSegmentMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_RevenueFromExternalCustomers" xlink:to="jpcrp030000-asr_E03040-000_RevenueFromExternalCustomers_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_RevenueFromExternalCustomers" xlink:to="jpcrp030000-asr_E03040-000_RevenueFromExternalCustomers_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_RiskManagementClimateChangeTextBlock" xlink:to="jpcrp030000-asr_E03040-000_RiskManagementClimateChangeTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_RiskManagementClimateChangeTextBlock" xlink:to="jpcrp030000-asr_E03040-000_RiskManagementClimateChangeTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_RiskManagementHumanCapitalTextBlock" xlink:to="jpcrp030000-asr_E03040-000_RiskManagementHumanCapitalTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_RiskManagementHumanCapitalTextBlock" xlink:to="jpcrp030000-asr_E03040-000_RiskManagementHumanCapitalTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_SasakiHazimeMember" xlink:to="jpcrp030000-asr_E03040-000_SasakiHazimeMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_SasakiHazimeMember" xlink:to="jpcrp030000-asr_E03040-000_SasakiHazimeMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_StrategyClimateChangeTextBlock" xlink:to="jpcrp030000-asr_E03040-000_StrategyClimateChangeTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_StrategyClimateChangeTextBlock" xlink:to="jpcrp030000-asr_E03040-000_StrategyClimateChangeTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_StrategyHumanCapitalTextBlock" xlink:to="jpcrp030000-asr_E03040-000_StrategyHumanCapitalTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_StrategyHumanCapitalTextBlock" xlink:to="jpcrp030000-asr_E03040-000_StrategyHumanCapitalTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_SuzukiYokoMember" xlink:to="jpcrp030000-asr_E03040-000_SuzukiYokoMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_SuzukiYokoMember" xlink:to="jpcrp030000-asr_E03040-000_SuzukiYokoMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_TransferFromRetainedEarningsToReserveForTaxPurposeReductionToPromoteOpenInnovation" xlink:to="jpcrp030000-asr_E03040-000_TransferFromRetainedEarningsToReserveForTaxPurposeReductionToPromoteOpenInnovation_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_TransferFromRetainedEarningsToReserveForTaxPurposeReductionToPromoteOpenInnovation" xlink:to="jpcrp030000-asr_E03040-000_TransferFromRetainedEarningsToReserveForTaxPurposeReductionToPromoteOpenInnovation_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_WriteDownsOfInventoriesCostOfSales" xlink:to="jpcrp030000-asr_E03040-000_WriteDownsOfInventoriesCostOfSales_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E03040-000_WriteDownsOfInventoriesCostOfSales" xlink:to="jpcrp030000-asr_E03040-000_WriteDownsOfInventoriesCostOfSales_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
  </link:labelLink>
</link:linkbase>